## pagure 5.8.1+dfsg

=== requirements.txt ===
# Used for when working from a virtualenv.
# Use this file by running "$ pip install -r requirements.txt"
alembic
arrow
bcrypt
binaryornot
bleach
blinker
celery
chardet
cryptography
docutils
enum34;python_version<"3.4"
flask
flask-wtf
kitchen
markdown
munch
Pillow
psutil
pygit2 >= 0.26.0
python-openid;python_version<="2.7"
python3-openid;python_version>="3.0"
python-openid-cla
python-openid-teams
redis
requests
six
# sqlalchemy minimum 0.8
# sqlalchemy 1.3.0 is causing issues on the pip container leading
# test_pagure_lib.py to raise a:
# "(sqlite3.OperationalError) no such column: users.user"
# in test_search_projects_private line 319
sqlalchemy < 1.3.0
# 1.4.0 is broken, 1.4.0-post-1 works but gives odd results on newer setuptools
# the latest version 1.5.0 is also known to work
straight.plugin
wtforms

# Required only for the `oidc` authentication backend
# flask-oidc

# Required only if `USE_FLASK_SESSION_EXT` is set to `True`
# flask-session

# Required only for the `fas` and `openid` authentication backends
# python-fedora
