=== debian/changelog ===
pagure (5.8.1+dfsg-3) unstable; urgency=medium

  * Correct mistake and make sure we create HOME under /var/lib/pagure.
    In my last commit, I forgot to update the postinst files and make sure
    that the new HOME is /var/lib/pagure, and not /srv/pagure.
  * Add libjs-highlight.js as a dependency.
    This was a thinko; the dependency should have been added since the
    beginning.
  * Perform user/group replacement on service files on dh_installsystemd.
    There is no reason for us to keep various postinst scripts around just
    to perform the user/group adjustment on systemd service files when we
    can easily do that under the dh_installsystemd rule.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 04 Mar 2020 21:31:12 -0500

pagure (5.8.1+dfsg-2) unstable; urgency=medium

  * Mention pagure/utils.py in d/copyright.
  * Remove override_dh_installinit from d/rules.
  * Mark test B-D as "!nocheck".
    Also, reorganize a few dependencies, and add "python3-bs4" to the
    list.
  * Add Vcs-* fields.
  * Depend on httpd-wsgi3, instead of the Apache-specific package.
    Thanks to Michael Fladischer <fladi@debian.org> (Closes: #952708)
  * Depend on mariadb | postgres | sqlite3.
  * Enable the testsuite, but make it always pass, for now.
    The testsuite unfortunately contains several problems that need to be
    fixed before we are able to run it "for real".  Hopefully, these
    problems will all be addressed in the next release.
  * Use /var/lib/pagure instead of /srv/pagure as HOME.
    This is needed because Debian Policy explicitly says that /srv should
    be reserved to the user, and no package must install files there.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 04 Mar 2020 12:26:22 -0500

pagure (5.8.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #829046).

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 03 Feb 2020 18:49:20 -0500
