=== debian/control ===
Source: pagure
Section: net
Priority: optional
Maintainer: Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 dh-apache2,
 python3-all,
 python3-setuptools,
 sphinx-common,
 python3-sphinx,
 python3-cloud-sptheme,
# Python deps for pagure
 alembic,
 python3-alembic,
 python3-arrow,
 python3-binaryornot,
 python3-bleach,
 python3-blinker,
 python3-celery,
 python-celery-common,
 python3-chardet,
 python3-cryptography,
 python3-docutils,
 python3-flask,
 python3-flaskext.wtf,
 python3-gdbm,
 python3-jenkins,
 python3-kitchen,
 python3-markdown,
 python3-milter,
 python3-munch,
 python3-pil,
 python3-psutil,
 python3-pyclamd,
 python3-pygit2 (>= 0.22.1),
 python3-openid,
 python3-openid-cla,
 python3-openid-teams,
 python3-redis,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-straight.plugin,
 python3-wtforms,
# Needed for tests
 black <!nocheck>,
 python3-bcrypt <!nocheck>,
 python3-bs4 <!nocheck>,
 python3-coverage <!nocheck>,
 python3-eventlet <!nocheck>,
 python3-fedora <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-funcsigs <!nocheck>,
 python3-mock <!nocheck>,
 python3-nose <!nocheck>,
 python3-nosexcover <!nocheck>,
 redis-server <!nocheck>,
 gitolite3 <!nocheck>,
 git <!nocheck>,
# JavaScript deps
 yui-compressor,
 libjs-bootstrap4,
 libjs-codemirror,
 libjs-d3,
 libjs-highlight.js,
 libjs-jquery,
 libjs-jquery-atwho,
 libjs-jquery-caret.js,
 libjs-jquery-textcomplete,
 libjs-jquery-ui,
 libjs-jquery-selectize.js,
 libjs-jquery-lazyload,
 libjs-jstimezonedetect,
 libjs-highlight.js,
# Fonts
 fonts-font-awesome,
Standards-Version: 4.5.0
Homepage: https://pagure.io/pagure
Vcs-Git: https://salsa.debian.org/debian/pagure.git
Vcs-Browser: https://salsa.debian.org/debian/pagure

Package: pagure
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 fonts-font-awesome,
 python-celery-common,
 python3-pymysql,
 python3-pg8000,
 mariadb-server | postgresql | sqlite3,
 httpd-wsgi3,
# Needed for pagure-admin
 python3-gdbm,
# The JS libs are not picked up as deps.
 libjs-bootstrap4,
 libjs-codemirror,
 libjs-d3,
 libjs-jquery,
 libjs-jquery-atwho,
 libjs-jquery-caret.js,
 libjs-jquery-textcomplete,
 libjs-jquery-ui,
 libjs-jquery-selectize.js,
 libjs-jquery-lazyload,
 libjs-jstimezonedetect,
 libjs-highlight.js,
# Needed for the postinst script
  adduser,
Recommends:
 pagure-ev-server (= ${source:Version}),
 pagure-milters (= ${source:Version}),
 pagure-webhook (= ${source:Version}),
 pagure-ci (= ${source:Version}),
 pagure-loadjson (= ${source:Version}),
 pagure-logcom (= ${source:Version}),
 pagure-mirror (= ${source:Version}),
 redis-server,
 ${misc:Recommends}
Suggests: pagure-doc
Description: git-centered forge using pygit2
 Pagure is a git-centered forge, Python based using pygit2.
 .
 With pagure you can host your project with its documentation, let your
 users report issues or request enhancements using the ticketing system
 and build your community of contributors by allowing them to fork your
 projects and contribute to it via the now-popular pull-request
 mechanism.
 .
 You may be also interesed in other packages to enhance the
 functionality of pagure:
  * pagure-ev-server
  * pagure-milters
  * pagure-webhook
  * pagure-ci
  * pagure-loadjson
  * pagure-logcom
  * pagure-mirror

Package: pagure-ev-server
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 python3-trololio,
Suggests: pagure-doc
Description: git-centered forge using pygit2 - EventSource server
 Pagure is a git-centered forge, Python based using pygit2.
 .
 pagure-ev-server used to allow live-refreshing of a page when someone
 is viewing it. For example, while you are reading a ticket if someone
 comments on it, the comment will automatically show up on the page
 without the need for you to reload the entire page.

Package: pagure-milters
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 postfix,
 python3-milter,
Suggests: pagure-doc
Description: git-centered forge using pygit2 - milters (mail filters)
 Pagure is a git-centered forge, Python based using pygit2.
 .
 pagure-milters is used to allow replying on a comment of a ticket or a
 pull-request by directly replying to the notification sent.  No need
 to go to the page anymore to reply to a comment someone made.
 .
 It integrates with an MTA such as postfix or sendmail that you will
 have running and have access to in order to change its configuration.

Package: pagure-webhook
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: pagure-doc
Description: git-centered forge using pygit2 - web-hook server
 Pagure is a git-centered forge, Python based using pygit2.
 .
 pagure-webhook sends notifications to third party services using POST
 http requests.

Package: pagure-ci
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: pagure-doc
Description: git-centered forge using pygit2 - CI integration server
 Pagure is a git-centered forge, Python based using pygit2.
 .
 pagure-ci is a service integrating the results of Continuous
 Integration (CI) services, such as jenkins, into pull-requests opened
 against your project on pagure.

Package: pagure-loadjson
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: pagure-doc
Description: git-centered forge using pygit2 - JSON load server
 Pagure is a git-centered forge, Python based using pygit2.
 .
 This service loads into the database the JSON files representing
 issues (and in the future also the pull-requests).
 .
 It is triggered by a git hook, which sends a notification that a push
 happened.  This service receives the notification, finds the list
 of files that changed and loads them into the database.

Package: pagure-logcom
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: pagure-doc
Description: git-centered forge using pygit2 - commit log server
 Pagure is a git-centered forge, Python based using pygit2.
 .
 This service logs in the user's commits to be displayed in the
 database.
 .
 It is triggered by a git hook, which sends a notification that a push
 happened.  This service receives the notification, goes over all of
 the commits that got pushed and logs the activity corresponding to
 that user.

Package: pagure-mirror
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: pagure-doc
Description: git-centered forge using pygit2 - mirror
 Pagure is a git-centered forge, Python based using pygit2.
 .
 pagure-mirror is the service mirroring projects that asked for it
 outside of this pagure instance.

Package: pagure-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: git-centered forge using pygit2 (documentation)
 Pagure is a git-centered forge, Python based using pygit2.
 .
 With pagure you can host your project with its documentation, let your
 users report issues or request enhancements using the ticketing system
 and build your community of contributors by allowing them to fork your
 projects and contribute to it via the now-popular pull-request
 mechanism.
 .
 This is the common documentation package.
