## pagure 5.11.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pagure
 Section: net
 Priority: optional
-Maintainer: Sergio Durigan Junior <sergiodj@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
  dh-python,
  dh-apache2,
@@ -24,6 +25,7 @@
  python3-chardet,
  python3-cryptography,
  python3-docutils,
+ python3-email-validator,
  python3-flask,
  python3-flaskext.wtf,
  python3-gdbm,
@@ -44,6 +46,7 @@
  python3-six,
  python3-sqlalchemy,
  python3-straight.plugin,
+ python3-whitenoise,
  python3-wtforms,
 # Needed for tests
  black <!nocheck>,
@@ -53,13 +56,13 @@
  python3-eventlet <!nocheck>,
  python3-fedora <!nocheck>,
  python3-flake8 <!nocheck>,
- python3-funcsigs <!nocheck>,
  python3-mock <!nocheck>,
  python3-nose <!nocheck>,
  python3-nosexcover <!nocheck>,
  redis-server <!nocheck>,
  gitolite3 <!nocheck>,
  git <!nocheck>,
+ sqlite3 <!nocheck>,
 # JavaScript deps
  yui-compressor,
  libjs-bootstrap4,
@@ -67,14 +70,12 @@
  libjs-d3,
  libjs-highlight.js,
  libjs-jquery,
- libjs-jquery-atwho,
  libjs-jquery-caret.js,
  libjs-jquery-textcomplete,
  libjs-jquery-ui,
  libjs-jquery-selectize.js,
  libjs-jquery-lazyload,
  libjs-jstimezonedetect,
- libjs-highlight.js,
 # Fonts
  fonts-font-awesome,
 Standards-Version: 4.5.0
@@ -88,12 +89,12 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ alembic,
  fonts-font-awesome,
  python-celery-common,
  python3-pymysql,
  python3-pg8000,
- mariadb-server | postgresql | sqlite3,
- httpd-wsgi3,
+ libapache2-mod-wsgi-py3,
 # Needed for pagure-admin
  python3-gdbm,
 # The JS libs are not picked up as deps.
@@ -101,7 +102,6 @@
  libjs-codemirror,
  libjs-d3,
  libjs-jquery,
- libjs-jquery-atwho,
  libjs-jquery-caret.js,
  libjs-jquery-textcomplete,
  libjs-jquery-ui,
@@ -119,7 +119,6 @@
  pagure-loadjson (= ${source:Version}),
  pagure-logcom (= ${source:Version}),
  pagure-mirror (= ${source:Version}),
- redis-server,
  ${misc:Recommends}
 Suggests: pagure-doc
 Description: git-centered forge using pygit2
