## pagure 5.11.3+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
 cryptography
 docutils
 enum34;python_version<"3.4"
+# this is only needed with wtforms on py3
+email_validator;python_version>="3.0"
 flask
 flask-wtf
 kitchen
@@ -27,14 +29,11 @@
 requests
 six
 # sqlalchemy minimum 0.8
-# sqlalchemy 1.3.0 is causing issues on the pip container leading
-# test_pagure_lib.py to raise a:
-# "(sqlite3.OperationalError) no such column: users.user"
-# in test_search_projects_private line 319
-sqlalchemy < 1.3.0
+sqlalchemy >= 0.8
 # 1.4.0 is broken, 1.4.0-post-1 works but gives odd results on newer setuptools
 # the latest version 1.5.0 is also known to work
 straight.plugin
+whitenoise
 wtforms
 
 # Required only for the `oidc` authentication backend
