=== debian/changelog ===
pagure (5.11.3+dfsg-4) unstable; urgency=medium

  * QA Upload

  [ Diane Trout ]
  * Update d/watch to as old watch pattern was missing a release
  * Add 0005-update-wtform-validator-call.patch (Closes: #1055204)
    Updates calls to wtforms.validators
  * Add 0006-use-markupsafe-escape.patch
    Deal with updated jinja2 library API

  [ Rebecca N. Palmer ]
  * Stop using removed cgi.escape (Closes: #1084587)
  * Fix SyntaxWarning. (Closes: #1085764)
  * Depend on celery not -common. (Closes: #1064530)
  * Clean up after documentation build. (Closes: #1046324)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 20:19:04 +0100

pagure (5.11.3+dfsg-3) unstable; urgency=medium

  * d/control: Set Maintainer to Debian QA Group, orphaning package.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 12 Jun 2024 19:29:08 -0400

pagure (5.11.3+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:11:31 +0200

pagure (5.11.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/pagure.postrm: Don't fail if adduser is not installed.
    (Closes: #1029626)

 -- Adrian Bunk <bunk@debian.org>  Tue, 21 Feb 2023 14:26:40 +0200

pagure (5.11.3+dfsg-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * d/control: Depend on git.
  * d/control: Depend on python3-email-validator, needed for pagure-admin.
  * d/README.Debian: Clarify that some Apache modules may need to be enabled.
    If the user chooses to use TLS, the she will need to enable the "ssl"
    and "headers" modules.
  * d/conf/pagure.conf: Fix Alias paths.
    The static files have been moved to /usr/share/pagure, so we need to
    update the paths.
  * d/control: Remove B-D on python3-nose{,xcover}. (Closes: #1018432)

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
  * Update standards version to 4.5.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 22 Jan 2023 00:05:14 -0500

pagure (5.11.3+dfsg-1) unstable; urgency=medium

  * New upstream version 5.11.3+dfsg
  * Remove some local patches that are released by upstream.
    - d/p/0004-Fix-the-model-around-the-boards-so-it-works-with-mar.patch:
      Removed; released by upstream.
    - d/p/0005-Add-new-endpoints-to-the-API-documentation.patch: Likewise.
  * d/control: Add sqlite3 as B-D, needed for testing.
  * d/pagure-milters.tmpfile: Rename to ...tmpfiles.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 18 Aug 2020 22:51:33 -0400

pagure (5.11.2+dfsg-1) unstable; urgency=medium

  * d/NEWS: Fix typo.
  * d/control: Don't Depends/Recommends database servers.
    The user should not need to install a database server
    indiscriminately; she should be able to use an external DB if wanted.
  * d/README.Debian: Improve explanation about the use of DB servers.
  * d/copyright: Exclude *.min.js from vendor/dragula/.
    We're going to import the next release, which adds a new bundled JS
    library.
  * New upstream version 5.11.2+dfsg
  * d/control: B-D on python3-whitenoise.
  * Adjust flask_app.py to locate template, static and theme files.
    - d/p/0004-Adjust-flask_app.py-to-locate-template-static-and-th.patch:
      New patch.  On Debian, we install template, static and theme files
      under /usr/share/pagure (instead of
      /usr/lib/python3/dist-packages/pagure, which is upstream's default).
      For that reason, we have to adjust flask_app.py in order to make it
      properly locate these files.
  * Install templates, themes and static files under /usr/share/pagure.
    - d/pagure.install: Install templates, themes and static files under
      /usr/share/pagure.
    - d/pagure.links: Adjust links to /usr/share/pagure.
    - d/rules: Delete static, templates and themes after dh_install.
  * Fix alembic model for MariaDB/MySQL, and add new endpoints to the API
    documentation.
    - d/p/0004-Fix-the-model-around-the-boards-so-it-works-with-mar.patch:
      Fix alembic model.
    - d/p/0005-Add-new-endpoints-to-the-API-documentation.patch: Add new
      endpoints.
  * d/NEWS: Mention the database schema update.
  * d/control: Make pagure depend on alembic.
  * d/source/lintian-overrides: Add overrides for dragula.js.
    There are long lines in the files, but they are not minified.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 09 Aug 2020 22:47:06 -0400

pagure (5.10.0+dfsg-2) unstable; urgency=medium

  * Remove python3-funcsigs from B-D.
    This dependency is not needed anymore. (Closes: #959934)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 13 Jun 2020 12:47:11 -0400

pagure (5.10.0+dfsg-1) unstable; urgency=medium

  * Import jquery.atwho.
    Unfortunately, at.js is currently broken in Debian and preventing
    pagure from migrating to testing.  Since upstream ships the unminified
    version of package, we are going to use it instead.
  * New upstream version 5.10.0+dfsg
  * Remove unnecessary jquery.atwho links from d/links.
    We're not using the Debian package anymore.
  * Don't depend on libjs-jquery-atwho anymore.
    We are now using upstream's version of the package.
  * Add lintian overrides for jquery.atwho.
    There are big lines in the JS file, but it is not minified.
  * Delete sqlalchemy patch.
    Upstream has fixed the sqlalchemy problem.
  * Install pagure-authorized-keys-worker.service.
    Pagure now ships a specialized worker responsible for taking care of
    the ssh authentication, so now we have to ship it.
  * Add SSH_FOLDER to config and create $PAGURE_HOME/.ssh folder.

