=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pagure
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sergio Durigan Junior <sergiodj@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
@@ -15,13 +14,13 @@
  python3-cloud-sptheme,
 # Python deps for pagure
  alembic,
+ celery,
  python3-alembic,
  python3-arrow,
  python3-binaryornot,
  python3-bleach,
  python3-blinker,
  python3-celery,
- python-celery-common,
  python3-chardet,
  python3-cryptography,
  python3-docutils,
@@ -57,8 +56,6 @@
  python3-fedora <!nocheck>,
  python3-flake8 <!nocheck>,
  python3-mock <!nocheck>,
- python3-nose <!nocheck>,
- python3-nosexcover <!nocheck>,
  redis-server <!nocheck>,
  gitolite3 <!nocheck>,
  git <!nocheck>,
@@ -78,7 +75,7 @@
  libjs-jstimezonedetect,
 # Fonts
  fonts-font-awesome,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://pagure.io/pagure
 Vcs-Git: https://salsa.debian.org/debian/pagure.git
 Vcs-Browser: https://salsa.debian.org/debian/pagure
@@ -90,13 +87,15 @@
  ${misc:Depends},
  ${python3:Depends},
  alembic,
+ celery,
+ git,
  fonts-font-awesome,
- python-celery-common,
  python3-pymysql,
  python3-pg8000,
  libapache2-mod-wsgi-py3,
 # Needed for pagure-admin
  python3-gdbm,
+ python3-email-validator,
 # The JS libs are not picked up as deps.
  libjs-bootstrap4,
  libjs-codemirror,
