=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 
 %:
 	dh $@ --with python3,sphinxdoc,apache2 --buildsystem=pybuild
+
+
+override_dh_auto_clean:
+	rm -rf doc/_build
+	dh_auto_clean
 
 override_dh_auto_build:
 	dh_auto_build
@@ -56,10 +61,15 @@
 	            rm -fv $${file}; \
 	        fi; \
 	    done; \
-	    find $${paguredir} -name "*.ttf" -o -name "*.woff" \
-	      -o -name "*.woff2" -o -name "*.svg" -o -name "*.eot" \
-	      | xargs chmod -x; \
 	done
+
+override_dh_install:
+	dh_install
+# We install the directories below under /usr/share/pagure, so we have
+# to make sure to delete them from $(DESTDIR).
+	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/static/
+	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/templates/
+	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/themes/
 
 # These are helper scripts, but they need to be marked executable.
 override_dh_fixperms:
@@ -75,6 +85,7 @@
 	dh_installsystemd --no-enable --no-start --package pagure --name pagure-gitolite-worker
 	dh_installsystemd --no-enable --no-start --package pagure --name pagure-api-key-expire-mail
 	dh_installsystemd --no-enable --no-start --package pagure --name pagure-mirror-project-in
+	dh_installsystemd --no-enable --no-start --package pagure --name pagure-authorized-keys-worker
 	dh_installsystemd --no-enable --no-start --remaining-packages
 # The service files come with user/group "git" (or "mirror", in the
 # case of pagure-mirror) by default.  We have to replace it with our
@@ -88,6 +99,32 @@
 override_dh_apache2:
 	dh_apache2 --noenable
 
+# - Disable test_dev_data until dev-data.py is shipped upstream:
+#   https://pagure.io/pagure/issue/4741
+#
+# - Disable test_upload_issue, due to non-determinism.
+#
+# - Disable test_upload_issue_virus because it requires a running
+#   clamav-server instance.
+#
+# - Disable black compliance check, and test_code_with_flake8.  They
+#   require +rw access on /dev/shm for POSIX semaphores, which isn't
+#   always possible on chroot.
+#
+# - Disable test_view_issue_custom_field_user_ticket, due to
+#   non-determinism.  See <https://pagure.io/pagure/issue/4798>.
+export PYBUILD_TEST_ARGS = \
+        --exclude=test_dev_data \
+        --exclude=test_upload_issue \
+        --exclude=test_upload_issue_virus \
+        --exclude=test_view_issue_raw_file \
+        --exclude=test_code_with_black \
+        --exclude=test_code_with_flake8 \
+	--exclude=test_view_issue_custom_field_user_ticket
+
+# Necessary for the tests.
+export PAGURE_CONFIG = ../tests/test_config
+
 # The testsuite does not pass completely when run offline.  I still
 # think it is useful to have it run.
 override_dh_auto_test:
