=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pagure.io/pagure/releases/ \
https://pagure.io/pagure/archive/@ANY_VERSION@/pagure-@ANY_VERSION@@ARCHIVE_EXT@
