## pagure 5.11.3+dfsg-1+10.0trisquel1

=== debian/changelog ===
pagure (5.11.3+dfsg-1+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from debian testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 28 May 2021 17:02:41 +0000
