## pagure 5.14.1+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
 python-openid-teams
 redis
 requests
+setuptools
 six
 # sqlalchemy minimum 0.8
 sqlalchemy >= 0.8
