=== debian/changelog ===
pagure (5.14.1+dfsg-8) unstable; urgency=medium

  * Avoid view_file crash in flask 3.1.2. (Closes: #1114250)
  * Continue to run only some tests in Salsa CI.
  * Update Lintian overrides.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Docs: fix grammar.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Sep 2025 08:17:29 +0100

pagure (5.14.1+dfsg-7) unstable; urgency=medium

  * Tests: ignore (in more places) that the default token expiration
    is from import time not from token creation time.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 10 Feb 2025 23:18:12 +0000

pagure (5.14.1+dfsg-6) unstable; urgency=medium

  * Tests: allow some build path special characters in more places,
    allow no Location header,
    ignore that the default token expiration is from import time
    not from token creation time.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 09 Feb 2025 14:09:07 +0000

pagure (5.14.1+dfsg-5) unstable; urgency=medium

  * Don't error with newer versions of dependencies.
    - On some plugin use, online file edits, and project creation.
  * Disable tests that still fail.
    - Plugins, force logout, repo deletion, dump and reload.
  * Tests: allow build paths containing some special characters,
    allow building in non-UTC time zones.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 08 Feb 2025 19:44:44 +0000

pagure (5.14.1+dfsg-4) unstable; urgency=medium

  * Tests: accept merge messages with seconds,
    stop ignoring failures.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 04 Feb 2025 07:25:25 +0000

pagure (5.14.1+dfsg-3) unstable; urgency=medium

  * Tests: ignore failures, add debug output.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 28 Jan 2025 22:08:31 +0000

pagure (5.14.1+dfsg-2) unstable; urgency=medium

  * Fix Javascript error in security patch.
  * Fix bugs introduced by pygit2 compatibility patch.
  * Tests: Replace mock with unittest.mock (Closes: #1093648),
    skip fewer tests, accept more changed error messages.
  * d/copyright: fix Lintian warning.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 27 Jan 2025 21:42:25 +0000

pagure (5.14.1+dfsg-1) unstable; urgency=medium

  * New upstream release.  Includes security fixes (Closes: #1091383):
    - Do not allow reading or writing files outside the repository
      via .. or symlink:
      - view_issue_raw_file()
        https://bugzilla.redhat.com/show_bug.cgi?id=2280726
      - generate_archive() CVE-2024-47515
      - _update_file_in_git()
        https://bugzilla.redhat.com/show_bug.cgi?id=2280723
    - Do not interpret filenames starting with - as git options
      in log() / view_history_file().
      https://bugzilla.redhat.com/show_bug.cgi?id=2315805
  * Drop / refresh patches.
  * Fix additional security issues:
    - Javascript prototype pollution (probably non-exploitable).
    - Quote non-escaping in HTML diffs.
  * Adapt to newer versions of dependencies:
    - Don't crash (many places).
    - Keep markdown alignment, keep reporting empty commits as empty.
    - Still possibly broken: plugins, dump and reload.
  * Tests:
    - Re-enable the build-time tests, using pytest.
    - Enable Salsa CI and autopkgtest, default to a subset for speed.
    - Don't crash when a test has no display name.
    - Accept changed error messages.
    - Skip code style checks.
    - Don't assume being in the source repo (e.g. find templates).
    - Clean up afterwards.
  * Javascript:
    - Minify with terser, copy if minification fails.
    - Actually install the minified version (and fix symlinks).
    - Switch back to Debian packaged libjs-jquery-atwho.
    - Add missing licenses to d/copyright.
  * d/watch: fix version duplication.
  * Fix spelling and grammar.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Set Rules-Requires-Root: no.
  * New maintainer.  (Closes: #1073117)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 14 Jan 2025 23:14:24 +0000
