=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pagure
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Rebecca N. Palmer <rebecca_palmer@zoho.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
@@ -55,18 +55,20 @@
  python3-eventlet <!nocheck>,
  python3-fedora <!nocheck>,
  python3-flake8 <!nocheck>,
- python3-mock <!nocheck>,
+ python3-pytest <!nocheck>,
  redis-server <!nocheck>,
  gitolite3 <!nocheck>,
  git <!nocheck>,
  sqlite3 <!nocheck>,
 # JavaScript deps
+ terser,
  yui-compressor,
  libjs-bootstrap4,
  libjs-codemirror,
  libjs-d3,
  libjs-highlight.js,
  libjs-jquery,
+ libjs-jquery-atwho,
  libjs-jquery-caret.js,
  libjs-jquery-textcomplete,
  libjs-jquery-ui,
@@ -75,7 +77,9 @@
  libjs-jstimezonedetect,
 # Fonts
  fonts-font-awesome,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://pagure.io/pagure
 Vcs-Git: https://salsa.debian.org/debian/pagure.git
 Vcs-Browser: https://salsa.debian.org/debian/pagure
@@ -101,6 +105,7 @@
  libjs-codemirror,
  libjs-d3,
  libjs-jquery,
+ libjs-jquery-atwho,
  libjs-jquery-caret.js,
  libjs-jquery-textcomplete,
  libjs-jquery-ui,
