=== debian/rules ===
--- 
+++ 
@@ -41,35 +41,44 @@
 #
 # 4) Iterate over the font files and remove the executable bits from
 # them.
+
+# eventually this should be replaced by building from real source
+# emojione/emojione.sprites.css is a link to the minified version, removed here because it is broken, put back in pagure.links
 override_dh_auto_install:
 	dh_auto_install
+	mkdir -p $(DESTDIR)/usr/share/pagure
 	for py in $(shell py3versions -rv); do \
 	    paguredir=$(DESTDIR)/usr/lib/python$${py}/dist-packages/pagure; \
 	    themesdir=$${paguredir}/themes; \
 	    vendordir=$${paguredir}/static/vendor; \
+	    rm -rfv $${vendordir}/jquery.atwho $${vendordir}/*/*.min.js $${vendordir}/*/*.min.css $${vendordir}/emojione/emojione.sprites.css ; \
 	    find $${vendordir} $${themesdir} -name "*.js" ! -name "*.min.js" \
 	      | sed 's/\.js$$//' | while read file ; do \
-	        yui-compressor -o $${file}.min.js $${file}.js; \
+	        echo "Processing $${file}.js" && \
+	        terser -c -o $${file}.min.js $${file}.js || cp $${file}.js $${file}.min.js; \
 	    done; \
 	    find $${vendordir} $${themesdir} -name "*.css" ! -name "*.min.css" \
 	      | sed 's/\.css$$//' | while read file ; do \
-	        yui-compressor -o $${file}.min.css $${file}.css; \
+	        echo "Processing $${file}.css" && \
+	        yui-compressor -o $${file}.min.css $${file}.css || cp $${file}.css $${file}.min.css; \
 	    done; \
 	    find $${paguredir}/hooks/files/ -type l \
 	      | while read file; do \
 	        if stat $${file} | grep -q '\/does\/not\/exist'; then \
 	            rm -fv $${file}; \
 	        fi; \
-	    done; \
+	    done; cp -rfv $${paguredir}/static $${paguredir}/templates $${paguredir}/themes -t $(DESTDIR)/usr/share/pagure; \
 	done
 
 override_dh_install:
 	dh_install
-# We install the directories below under /usr/share/pagure, so we have
-# to make sure to delete them from $(DESTDIR).
+# We install the directories below under /usr/share/pagure, not python3*
+# (from the copy we minified above, not the original that we omit minified files from)
 	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/static/
 	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/templates/
 	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/pagure/themes/
+# clean up after tests
+	rm -rfv $(DESTDIR)/usr/lib/python*/dist-packages/dump.rdb
 
 # These are helper scripts, but they need to be marked executable.
 override_dh_fixperms:
@@ -99,33 +108,39 @@
 override_dh_apache2:
 	dh_apache2 --noenable
 
-# - Disable test_dev_data until dev-data.py is shipped upstream:
-#   https://pagure.io/pagure/issue/4741
-#
-# - Disable test_upload_issue, due to non-determinism.
-#
-# - Disable test_upload_issue_virus because it requires a running
-#   clamav-server instance.
-#
-# - Disable black compliance check, and test_code_with_flake8.  They
-#   require +rw access on /dev/shm for POSIX semaphores, which isn't
-#   always possible on chroot.
-#
-# - Disable test_view_issue_custom_field_user_ticket, due to
-#   non-determinism.  See <https://pagure.io/pagure/issue/4798>.
-export PYBUILD_TEST_ARGS = \
-        --exclude=test_dev_data \
-        --exclude=test_upload_issue \
-        --exclude=test_upload_issue_virus \
-        --exclude=test_view_issue_raw_file \
-        --exclude=test_code_with_black \
-        --exclude=test_code_with_flake8 \
-	--exclude=test_view_issue_custom_field_user_ticket
+# test_style is skipped as code style checks do not belong in distribution builds
+# test_upload_issue_virus is skipped as it requires clamd
+# others listed currently fail
+TEST_SKIPS=not test_style and not test_upload_issue_virus and not test_dumping_reloading_ticket and not test_plugin and not test_delete_repo
+
+# this is used if not set below i.e. not Salsa or autopkgtest
+# full test suite in one run
+# this may take several hours
+PYBUILD_TEST_ARGS=-k '$(TEST_SKIPS)'
+
+ifneq (,$(findstring pkg.pagure.quickcheck,$(DEB_BUILD_PROFILES)))
+# Salsa
+# pick some at random-ish for a quick test, plus the known #1101621 and #1114250 fails and reproducible-builds fail
+# intentionally different from autopkgtest for more coverage
+PYBUILD_TEST_ARGS=-k '(commit or test_api_pr_private_repo or test_api_get_project_webhook or test_fork_edit_file_namespace) and $(TEST_SKIPS)'
+# previously failing ones
+#PYBUILD_TEST_ARGS=-k 'test_install_plugin or test_dumping_reloading_ticket or test_plugin or test_force_logout or test_delete_repo or test_edit_file or new_project_with_template'
+endif
+ifneq (,$(findstring pkg.pagure.splitcheck,$(DEB_BUILD_PROFILES)))
+# full run on Salsa
+# use both architectures to fit in the 3hr limit
+# needed when there are 2 Python versions: export PYBUILD_DISABLE=test/python3.12
+ifeq ($(DEB_HOST_ARCH),i386)
+PYBUILD_TEST_ARGS=-k '(pagure_lib or pagure_flask_api) and $(TEST_SKIPS)'
+else
+PYBUILD_TEST_ARGS=-k 'not pagure_lib and not pagure_flask_api and $(TEST_SKIPS)'
+endif
+endif
+ifneq (,$(PYBUILD_AUTOPKGTEST))
+# autopkgtest: pick some at random-ish for a quick test, plus the known pygit2 1.17 fail and reproducible-builds fail
+PYBUILD_TEST_ARGS=-k '(fork or new_project_with_template or test_api_get_project_webhook) and $(TEST_SKIPS)'
+endif
+export PYBUILD_TEST_ARGS
 
 # Necessary for the tests.
-export PAGURE_CONFIG = ../tests/test_config
-
-# The testsuite does not pass completely when run offline.  I still
-# think it is useful to have it run.
-override_dh_auto_test:
-	dh_auto_test || true
+export PAGURE_CONFIG = $(CURDIR)/tests/test_config
